> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tightknit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create calendar event

> Creates a new calendar event.



## OpenAPI

````yaml https://api.tightknit.ai/doc-mintlify post /admin/v0/calendar_events
openapi: 3.1.0
info:
  version: 0.0.0
  title: Tightknit OpenAPI
servers:
  - url: https://api.tightknit.ai
    description: Production server
security:
  - Bearer: []
paths:
  /admin/v0/calendar_events:
    post:
      tags:
        - Calendar Events
      summary: Create calendar event
      description: Creates a new calendar event.
      parameters:
        - schema:
            type: string
            enum:
              - application/json
          required: true
          name: content-type
          in: header
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                allow_public_guest_list:
                  type: boolean
                  default: false
                description:
                  anyOf:
                    - type: object
                      properties:
                        blocks:
                          type: array
                          items:
                            type: object
                            properties:
                              type:
                                type: string
                                enum:
                                  - rich_text
                              elements:
                                type: array
                                items:
                                  anyOf:
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - rich_text_section
                                        elements:
                                          type: array
                                          items:
                                            anyOf:
                                              - type: object
                                                properties:
                                                  type:
                                                    type: string
                                                    enum:
                                                      - broadcast
                                                  range:
                                                    type: string
                                                    enum:
                                                      - here
                                                      - channel
                                                      - everyone
                                                required:
                                                  - type
                                                  - range
                                              - type: object
                                                properties:
                                                  type:
                                                    type: string
                                                    enum:
                                                      - color
                                                  value:
                                                    type: string
                                                required:
                                                  - type
                                                  - value
                                              - type: object
                                                properties:
                                                  type:
                                                    type: string
                                                    enum:
                                                      - channel
                                                  channel_id:
                                                    type: string
                                                  style:
                                                    type: object
                                                    properties:
                                                      bold:
                                                        type: boolean
                                                      italic:
                                                        type: boolean
                                                      strike:
                                                        type: boolean
                                                      highlight:
                                                        type: boolean
                                                      client_highlight:
                                                        type: boolean
                                                      unlink:
                                                        type: boolean
                                                required:
                                                  - type
                                                  - channel_id
                                              - type: object
                                                properties:
                                                  type:
                                                    type: string
                                                    enum:
                                                      - date
                                                  timestamp:
                                                    type: number
                                                  format:
                                                    type: string
                                                  url:
                                                    type: string
                                                  fallback:
                                                    type: string
                                                required:
                                                  - type
                                                  - timestamp
                                                  - format
                                              - type: object
                                                properties:
                                                  type:
                                                    type: string
                                                    enum:
                                                      - emoji
                                                  name:
                                                    type: string
                                                  unicode:
                                                    type: string
                                                required:
                                                  - type
                                                  - name
                                              - type: object
                                                properties:
                                                  type:
                                                    type: string
                                                    enum:
                                                      - link
                                                  url:
                                                    type: string
                                                  text:
                                                    type: string
                                                  unsafe:
                                                    type: boolean
                                                  style:
                                                    type: object
                                                    properties:
                                                      bold:
                                                        type: boolean
                                                      italic:
                                                        type: boolean
                                                      strike:
                                                        type: boolean
                                                      code:
                                                        type: boolean
                                                required:
                                                  - type
                                                  - url
                                              - type: object
                                                properties:
                                                  type:
                                                    type: string
                                                    enum:
                                                      - text
                                                  text:
                                                    type: string
                                                  style:
                                                    type: object
                                                    properties:
                                                      bold:
                                                        type: boolean
                                                      italic:
                                                        type: boolean
                                                      strike:
                                                        type: boolean
                                                      code:
                                                        type: boolean
                                                required:
                                                  - type
                                                  - text
                                              - type: object
                                                properties:
                                                  type:
                                                    type: string
                                                    enum:
                                                      - user
                                                  user_id:
                                                    type: string
                                                  style:
                                                    type: object
                                                    properties:
                                                      bold:
                                                        type: boolean
                                                      italic:
                                                        type: boolean
                                                      strike:
                                                        type: boolean
                                                      highlight:
                                                        type: boolean
                                                      client_highlight:
                                                        type: boolean
                                                      unlink:
                                                        type: boolean
                                                required:
                                                  - type
                                                  - user_id
                                              - type: object
                                                properties:
                                                  type:
                                                    type: string
                                                    enum:
                                                      - usergroup
                                                  usergroup_id:
                                                    type: string
                                                  style:
                                                    type: object
                                                    properties:
                                                      bold:
                                                        type: boolean
                                                      italic:
                                                        type: boolean
                                                      strike:
                                                        type: boolean
                                                      highlight:
                                                        type: boolean
                                                      client_highlight:
                                                        type: boolean
                                                      unlink:
                                                        type: boolean
                                                required:
                                                  - type
                                                  - usergroup_id
                                      required:
                                        - type
                                        - elements
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - rich_text_list
                                        style:
                                          type: string
                                          enum:
                                            - bullet
                                            - ordered
                                        elements:
                                          type: array
                                          items:
                                            type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - rich_text_section
                                              elements:
                                                type: array
                                                items:
                                                  anyOf:
                                                    - type: object
                                                      properties:
                                                        type:
                                                          type: string
                                                          enum:
                                                            - broadcast
                                                        range:
                                                          type: string
                                                          enum:
                                                            - here
                                                            - channel
                                                            - everyone
                                                      required:
                                                        - type
                                                        - range
                                                    - type: object
                                                      properties:
                                                        type:
                                                          type: string
                                                          enum:
                                                            - color
                                                        value:
                                                          type: string
                                                      required:
                                                        - type
                                                        - value
                                                    - type: object
                                                      properties:
                                                        type:
                                                          type: string
                                                          enum:
                                                            - channel
                                                        channel_id:
                                                          type: string
                                                        style:
                                                          type: object
                                                          properties:
                                                            bold:
                                                              type: boolean
                                                            italic:
                                                              type: boolean
                                                            strike:
                                                              type: boolean
                                                            highlight:
                                                              type: boolean
                                                            client_highlight:
                                                              type: boolean
                                                            unlink:
                                                              type: boolean
                                                      required:
                                                        - type
                                                        - channel_id
                                                    - type: object
                                                      properties:
                                                        type:
                                                          type: string
                                                          enum:
                                                            - date
                                                        timestamp:
                                                          type: number
                                                        format:
                                                          type: string
                                                        url:
                                                          type: string
                                                        fallback:
                                                          type: string
                                                      required:
                                                        - type
                                                        - timestamp
                                                        - format
                                                    - type: object
                                                      properties:
                                                        type:
                                                          type: string
                                                          enum:
                                                            - emoji
                                                        name:
                                                          type: string
                                                        unicode:
                                                          type: string
                                                      required:
                                                        - type
                                                        - name
                                                    - type: object
                                                      properties:
                                                        type:
                                                          type: string
                                                          enum:
                                                            - link
                                                        url:
                                                          type: string
                                                        text:
                                                          type: string
                                                        unsafe:
                                                          type: boolean
                                                        style:
                                                          type: object
                                                          properties:
                                                            bold:
                                                              type: boolean
                                                            italic:
                                                              type: boolean
                                                            strike:
                                                              type: boolean
                                                            code:
                                                              type: boolean
                                                      required:
                                                        - type
                                                        - url
                                                    - type: object
                                                      properties:
                                                        type:
                                                          type: string
                                                          enum:
                                                            - text
                                                        text:
                                                          type: string
                                                        style:
                                                          type: object
                                                          properties:
                                                            bold:
                                                              type: boolean
                                                            italic:
                                                              type: boolean
                                                            strike:
                                                              type: boolean
                                                            code:
                                                              type: boolean
                                                      required:
                                                        - type
                                                        - text
                                                    - type: object
                                                      properties:
                                                        type:
                                                          type: string
                                                          enum:
                                                            - user
                                                        user_id:
                                                          type: string
                                                        style:
                                                          type: object
                                                          properties:
                                                            bold:
                                                              type: boolean
                                                            italic:
                                                              type: boolean
                                                            strike:
                                                              type: boolean
                                                            highlight:
                                                              type: boolean
                                                            client_highlight:
                                                              type: boolean
                                                            unlink:
                                                              type: boolean
                                                      required:
                                                        - type
                                                        - user_id
                                                    - type: object
                                                      properties:
                                                        type:
                                                          type: string
                                                          enum:
                                                            - usergroup
                                                        usergroup_id:
                                                          type: string
                                                        style:
                                                          type: object
                                                          properties:
                                                            bold:
                                                              type: boolean
                                                            italic:
                                                              type: boolean
                                                            strike:
                                                              type: boolean
                                                            highlight:
                                                              type: boolean
                                                            client_highlight:
                                                              type: boolean
                                                            unlink:
                                                              type: boolean
                                                      required:
                                                        - type
                                                        - usergroup_id
                                            required:
                                              - type
                                              - elements
                                        indent:
                                          type: number
                                          minimum: 0
                                        offset:
                                          type: number
                                          minimum: 0
                                        border:
                                          type: number
                                          minimum: 0
                                      required:
                                        - type
                                        - style
                                        - elements
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - rich_text_preformatted
                                        elements:
                                          type: array
                                          items:
                                            type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - text
                                              text:
                                                type: string
                                              style:
                                                type: object
                                                properties:
                                                  bold:
                                                    type: boolean
                                                  italic:
                                                    type: boolean
                                                  strike:
                                                    type: boolean
                                                  code:
                                                    type: boolean
                                            required:
                                              - type
                                              - text
                                        border:
                                          type: number
                                          minimum: 0
                                      required:
                                        - type
                                        - elements
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - rich_text_quote
                                        elements:
                                          type: array
                                          items:
                                            type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - text
                                              text:
                                                type: string
                                              style:
                                                type: object
                                                properties:
                                                  bold:
                                                    type: boolean
                                                  italic:
                                                    type: boolean
                                                  strike:
                                                    type: boolean
                                                  code:
                                                    type: boolean
                                            required:
                                              - type
                                              - text
                                        border:
                                          type: number
                                          minimum: 0
                                      required:
                                        - type
                                        - elements
                              block_id:
                                type: string
                            required:
                              - type
                              - elements
                      required:
                        - blocks
                      additionalProperties: false
                    - type: object
                      properties:
                        text:
                          type: string
                      required:
                        - text
                      additionalProperties: false
                    - nullable: true
                  default: null
                  description: The event description in Slack message content format.
                enable_registration_button:
                  type: boolean
                  default: false
                end_date:
                  type: string
                  format: date-time
                external_speakers:
                  type: string
                  nullable: true
                is_unlisted:
                  type: boolean
                  default: false
                link:
                  type: string
                  nullable: true
                location:
                  type: string
                  nullable: true
                luma_event_id:
                  type: string
                  nullable: true
                publish_to_site:
                  type: boolean
                  default: true
                triggers_webhooks:
                  type: boolean
                  default: false
                recap:
                  anyOf:
                    - type: object
                      properties:
                        blocks:
                          type: array
                          items:
                            type: object
                            properties:
                              type:
                                type: string
                                enum:
                                  - rich_text
                              elements:
                                type: array
                                items:
                                  anyOf:
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - rich_text_section
                                        elements:
                                          type: array
                                          items:
                                            anyOf:
                                              - type: object
                                                properties:
                                                  type:
                                                    type: string
                                                    enum:
                                                      - broadcast
                                                  range:
                                                    type: string
                                                    enum:
                                                      - here
                                                      - channel
                                                      - everyone
                                                required:
                                                  - type
                                                  - range
                                              - type: object
                                                properties:
                                                  type:
                                                    type: string
                                                    enum:
                                                      - color
                                                  value:
                                                    type: string
                                                required:
                                                  - type
                                                  - value
                                              - type: object
                                                properties:
                                                  type:
                                                    type: string
                                                    enum:
                                                      - channel
                                                  channel_id:
                                                    type: string
                                                  style:
                                                    type: object
                                                    properties:
                                                      bold:
                                                        type: boolean
                                                      italic:
                                                        type: boolean
                                                      strike:
                                                        type: boolean
                                                      highlight:
                                                        type: boolean
                                                      client_highlight:
                                                        type: boolean
                                                      unlink:
                                                        type: boolean
                                                required:
                                                  - type
                                                  - channel_id
                                              - type: object
                                                properties:
                                                  type:
                                                    type: string
                                                    enum:
                                                      - date
                                                  timestamp:
                                                    type: number
                                                  format:
                                                    type: string
                                                  url:
                                                    type: string
                                                  fallback:
                                                    type: string
                                                required:
                                                  - type
                                                  - timestamp
                                                  - format
                                              - type: object
                                                properties:
                                                  type:
                                                    type: string
                                                    enum:
                                                      - emoji
                                                  name:
                                                    type: string
                                                  unicode:
                                                    type: string
                                                required:
                                                  - type
                                                  - name
                                              - type: object
                                                properties:
                                                  type:
                                                    type: string
                                                    enum:
                                                      - link
                                                  url:
                                                    type: string
                                                  text:
                                                    type: string
                                                  unsafe:
                                                    type: boolean
                                                  style:
                                                    type: object
                                                    properties:
                                                      bold:
                                                        type: boolean
                                                      italic:
                                                        type: boolean
                                                      strike:
                                                        type: boolean
                                                      code:
                                                        type: boolean
                                                required:
                                                  - type
                                                  - url
                                              - type: object
                                                properties:
                                                  type:
                                                    type: string
                                                    enum:
                                                      - text
                                                  text:
                                                    type: string
                                                  style:
                                                    type: object
                                                    properties:
                                                      bold:
                                                        type: boolean
                                                      italic:
                                                        type: boolean
                                                      strike:
                                                        type: boolean
                                                      code:
                                                        type: boolean
                                                required:
                                                  - type
                                                  - text
                                              - type: object
                                                properties:
                                                  type:
                                                    type: string
                                                    enum:
                                                      - user
                                                  user_id:
                                                    type: string
                                                  style:
                                                    type: object
                                                    properties:
                                                      bold:
                                                        type: boolean
                                                      italic:
                                                        type: boolean
                                                      strike:
                                                        type: boolean
                                                      highlight:
                                                        type: boolean
                                                      client_highlight:
                                                        type: boolean
                                                      unlink:
                                                        type: boolean
                                                required:
                                                  - type
                                                  - user_id
                                              - type: object
                                                properties:
                                                  type:
                                                    type: string
                                                    enum:
                                                      - usergroup
                                                  usergroup_id:
                                                    type: string
                                                  style:
                                                    type: object
                                                    properties:
                                                      bold:
                                                        type: boolean
                                                      italic:
                                                        type: boolean
                                                      strike:
                                                        type: boolean
                                                      highlight:
                                                        type: boolean
                                                      client_highlight:
                                                        type: boolean
                                                      unlink:
                                                        type: boolean
                                                required:
                                                  - type
                                                  - usergroup_id
                                      required:
                                        - type
                                        - elements
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - rich_text_list
                                        style:
                                          type: string
                                          enum:
                                            - bullet
                                            - ordered
                                        elements:
                                          type: array
                                          items:
                                            type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - rich_text_section
                                              elements:
                                                type: array
                                                items:
                                                  anyOf:
                                                    - type: object
                                                      properties:
                                                        type:
                                                          type: string
                                                          enum:
                                                            - broadcast
                                                        range:
                                                          type: string
                                                          enum:
                                                            - here
                                                            - channel
                                                            - everyone
                                                      required:
                                                        - type
                                                        - range
                                                    - type: object
                                                      properties:
                                                        type:
                                                          type: string
                                                          enum:
                                                            - color
                                                        value:
                                                          type: string
                                                      required:
                                                        - type
                                                        - value
                                                    - type: object
                                                      properties:
                                                        type:
                                                          type: string
                                                          enum:
                                                            - channel
                                                        channel_id:
                                                          type: string
                                                        style:
                                                          type: object
                                                          properties:
                                                            bold:
                                                              type: boolean
                                                            italic:
                                                              type: boolean
                                                            strike:
                                                              type: boolean
                                                            highlight:
                                                              type: boolean
                                                            client_highlight:
                                                              type: boolean
                                                            unlink:
                                                              type: boolean
                                                      required:
                                                        - type
                                                        - channel_id
                                                    - type: object
                                                      properties:
                                                        type:
                                                          type: string
                                                          enum:
                                                            - date
                                                        timestamp:
                                                          type: number
                                                        format:
                                                          type: string
                                                        url:
                                                          type: string
                                                        fallback:
                                                          type: string
                                                      required:
                                                        - type
                                                        - timestamp
                                                        - format
                                                    - type: object
                                                      properties:
                                                        type:
                                                          type: string
                                                          enum:
                                                            - emoji
                                                        name:
                                                          type: string
                                                        unicode:
                                                          type: string
                                                      required:
                                                        - type
                                                        - name
                                                    - type: object
                                                      properties:
                                                        type:
                                                          type: string
                                                          enum:
                                                            - link
                                                        url:
                                                          type: string
                                                        text:
                                                          type: string
                                                        unsafe:
                                                          type: boolean
                                                        style:
                                                          type: object
                                                          properties:
                                                            bold:
                                                              type: boolean
                                                            italic:
                                                              type: boolean
                                                            strike:
                                                              type: boolean
                                                            code:
                                                              type: boolean
                                                      required:
                                                        - type
                                                        - url
                                                    - type: object
                                                      properties:
                                                        type:
                                                          type: string
                                                          enum:
                                                            - text
                                                        text:
                                                          type: string
                                                        style:
                                                          type: object
                                                          properties:
                                                            bold:
                                                              type: boolean
                                                            italic:
                                                              type: boolean
                                                            strike:
                                                              type: boolean
                                                            code:
                                                              type: boolean
                                                      required:
                                                        - type
                                                        - text
                                                    - type: object
                                                      properties:
                                                        type:
                                                          type: string
                                                          enum:
                                                            - user
                                                        user_id:
                                                          type: string
                                                        style:
                                                          type: object
                                                          properties:
                                                            bold:
                                                              type: boolean
                                                            italic:
                                                              type: boolean
                                                            strike:
                                                              type: boolean
                                                            highlight:
                                                              type: boolean
                                                            client_highlight:
                                                              type: boolean
                                                            unlink:
                                                              type: boolean
                                                      required:
                                                        - type
                                                        - user_id
                                                    - type: object
                                                      properties:
                                                        type:
                                                          type: string
                                                          enum:
                                                            - usergroup
                                                        usergroup_id:
                                                          type: string
                                                        style:
                                                          type: object
                                                          properties:
                                                            bold:
                                                              type: boolean
                                                            italic:
                                                              type: boolean
                                                            strike:
                                                              type: boolean
                                                            highlight:
                                                              type: boolean
                                                            client_highlight:
                                                              type: boolean
                                                            unlink:
                                                              type: boolean
                                                      required:
                                                        - type
                                                        - usergroup_id
                                            required:
                                              - type
                                              - elements
                                        indent:
                                          type: number
                                          minimum: 0
                                        offset:
                                          type: number
                                          minimum: 0
                                        border:
                                          type: number
                                          minimum: 0
                                      required:
                                        - type
                                        - style
                                        - elements
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - rich_text_preformatted
                                        elements:
                                          type: array
                                          items:
                                            type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - text
                                              text:
                                                type: string
                                              style:
                                                type: object
                                                properties:
                                                  bold:
                                                    type: boolean
                                                  italic:
                                                    type: boolean
                                                  strike:
                                                    type: boolean
                                                  code:
                                                    type: boolean
                                            required:
                                              - type
                                              - text
                                        border:
                                          type: number
                                          minimum: 0
                                      required:
                                        - type
                                        - elements
                                    - type: object
                                      properties:
                                        type:
                                          type: string
                                          enum:
                                            - rich_text_quote
                                        elements:
                                          type: array
                                          items:
                                            type: object
                                            properties:
                                              type:
                                                type: string
                                                enum:
                                                  - text
                                              text:
                                                type: string
                                              style:
                                                type: object
                                                properties:
                                                  bold:
                                                    type: boolean
                                                  italic:
                                                    type: boolean
                                                  strike:
                                                    type: boolean
                                                  code:
                                                    type: boolean
                                            required:
                                              - type
                                              - text
                                        border:
                                          type: number
                                          minimum: 0
                                      required:
                                        - type
                                        - elements
                              block_id:
                                type: string
                            required:
                              - type
                              - elements
                      required:
                        - blocks
                      additionalProperties: false
                    - type: object
                      properties:
                        text:
                          type: string
                      required:
                        - text
                      additionalProperties: false
                    - nullable: true
                  default: null
                  description: The event recap in Slack message content format.
                recording_link:
                  type: string
                  nullable: true
                webhook_custom_metadata:
                  type: string
                  nullable: true
                show_end_date:
                  type: boolean
                  default: true
                slug:
                  type: string
                  nullable: true
                  minLength: 3
                  maxLength: 70
                  description: >-
                    The URL slug for the event. If not provided, one will be
                    generated based off the title.
                start_date:
                  type: string
                  format: date-time
                status:
                  type: string
                  enum:
                    - needs_approval
                    - published
                  default: published
                  description: >-
                    The event status. Events created with "published" status
                    will immediately be published to the specified Slack
                    channel(s) and possibly to the site. Events created with
                    "needs_approval" status will be submitted for admin
                    approval. Events cannot be created with "draft" status from
                    the API.
                title:
                  type: string
                  minLength: 3
                  maxLength: 70
                use_registration_btn_as_link:
                  type: boolean
                  default: false
                publish_to_slack_channels:
                  type: array
                  items:
                    type: string
                  maxItems: 10
                  default: []
                  description: >-
                    The Slack channel(s) that the event announcements are posted
                    to when published. If empty, no Slack announcements are
                    made.
                hosts:
                  anyOf:
                    - type: object
                      properties:
                        slack_user_ids:
                          type: array
                          items:
                            type: string
                            pattern: ^U[A-Z0-9]{8,20}$
                          maxItems: 10
                      required:
                        - slack_user_ids
                      additionalProperties: false
                    - type: object
                      properties:
                        emails:
                          type: array
                          items:
                            type: string
                            format: email
                          maxItems: 10
                      required:
                        - emails
                      additionalProperties: false
                    - type: object
                      properties:
                        profile_ids:
                          type: array
                          items:
                            type: string
                            format: uuid
                          maxItems: 10
                      required:
                        - profile_ids
                      additionalProperties: false
                    - nullable: true
                  default: null
                  description: >-
                    The user(s) featured as a host for the event, which must be
                    one of the following: Slack user IDs, emails, or Tightknit
                    profile IDs
                speakers:
                  anyOf:
                    - type: object
                      properties:
                        slack_user_ids:
                          type: array
                          items:
                            type: string
                            pattern: ^U[A-Z0-9]{8,20}$
                          maxItems: 10
                      required:
                        - slack_user_ids
                      additionalProperties: false
                    - type: object
                      properties:
                        emails:
                          type: array
                          items:
                            type: string
                            format: email
                          maxItems: 10
                      required:
                        - emails
                      additionalProperties: false
                    - type: object
                      properties:
                        profile_ids:
                          type: array
                          items:
                            type: string
                            format: uuid
                          maxItems: 10
                      required:
                        - profile_ids
                      additionalProperties: false
                    - nullable: true
                  default: null
                  description: >-
                    The user(s) featured as a speaker for the event, which must
                    be one of the following: Slack user IDs, emails, or
                    Tightknit profile IDs
                cover_image_file_id:
                  type: string
                  format: uuid
                reminders_config:
                  type: array
                  nullable: true
                  items:
                    type: object
                    properties:
                      minutes:
                        type: number
                    required:
                      - minutes
                  default:
                    - minutes: 10
              required:
                - end_date
                - start_date
                - title
      responses:
        '201':
          description: Calendar event created
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  data:
                    type: object
                    properties:
                      calendar_event_id:
                        type: string
                        minLength: 12
                        maxLength: 12
                        pattern: ^[0-9a-zA-Z]+$
                    required:
                      - calendar_event_id
                required:
                  - success
                  - data
        '400':
          description: Returns an error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '403':
          description: Returns a Forbidden error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
        '500':
          description: Returns an Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - success
                  - error
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

## Related topics

- [Delete calendar event](/api-reference/calendar-events/delete-calendar-event.md)
- [List calendar events](/api-reference/calendar-events/list-calendar-events.md)
- [Retrieve calendar event](/api-reference/calendar-events/retrieve-calendar-event.md)
- [Update calendar event attendee](/api-reference/calendar-events/update-calendar-event-attendee.md)
- [Triggered when a calendar event ends](/api-reference/webhooks/triggered-when-a-calendar-event-ends.md)
